org.apache.fop.layoutmgr.table

## Class ColumnSetup

- java.lang.Object
- - org.apache.fop.layoutmgr.table.ColumnSetup

    public class ColumnSetup
    extends Object

Class holding a number of columns making up the column setup of a row.

### Constructor Summary

Constructors
Constructor and Description
`ColumnSetup(Table table)` Main Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`float` `computeTableUnit(PercentBaseContext percentBaseContext, int contentAreaIPD)` Works out the base unit for resolving proportional-column-width() [p-c-w(x) = x * base_unit_ipd]
`protected double` `computeTableUnit(TableLayoutManager tlm)` Works out the base unit for resolving proportional-column-width() [p-c-w(x) = x * base_unit_ipd]
`TableColumn` `getColumn(int index)` Returns a column.
`int` `getColumnCount()`
`int` `getSumOfColumnWidths(PercentBaseContext context)` Calculates the sum of all column widths.
`int` `getXOffset(int col, int nrColSpan, PercentBaseContext context)` Determine the X offset of the indicated column, where this offset denotes the left edge of the column irrespective of writing mode.
`Iterator` `iterator()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ColumnSetup

    public ColumnSetup(Table table)

Main Constructor.

Parameters:
  `table` - the table to construct this column setup for

### Method Detail

#### getColumn

    public TableColumn getColumn(int index)

Returns a column. If the index of the column is bigger than the number of explicitly defined columns the last column is returned.

Parameters:
  `index` - index of the column (1 is the first column)
Returns:
  the requested column

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getColumnCount

    public int getColumnCount()

Returns:
  the number of columns in the setup.

#### iterator

    public Iterator iterator()

Returns:
  an Iterator over all columns

#### computeTableUnit

    protected double computeTableUnit(TableLayoutManager tlm)

Works out the base unit for resolving proportional-column-width() [p-c-w(x) = x * base_unit_ipd]

Parameters:
  `tlm` - the TableLayoutManager
Returns:
  the computed base unit (in millipoint)

#### computeTableUnit

    public float computeTableUnit(PercentBaseContext percentBaseContext,
                                  int contentAreaIPD)

Works out the base unit for resolving proportional-column-width() [p-c-w(x) = x * base_unit_ipd]

Parameters:
  `percentBaseContext` - the percent base context for relative values
  `contentAreaIPD` - the IPD of the available content area
Returns:
  the computed base unit (in millipoints)

#### getXOffset

    public int getXOffset(int col,
                          int nrColSpan,
                          PercentBaseContext context)

Determine the X offset of the indicated column, where this offset denotes the left edge of the column irrespective of writing mode. If writing mode's column progression direction is right-to-left, then the first column is the right-most column and the last column is the left-most column; otherwise, the first column is the left-most column.

Parameters:
  `col` - column index (1 is first column)
  `nrColSpan` - number columns spanned (for calculating offset in rtl mode)
  `context` - the context for percentage based calculations
Returns:
  the X offset of the requested column

#### getSumOfColumnWidths

    public int getSumOfColumnWidths(PercentBaseContext context)

Calculates the sum of all column widths.

Parameters:
  `context` - the context for percentage based calculations
Returns:
  the requested sum in millipoints